INCLUDES = $(STLPORT_CFLAGS) -I$(top_srcdir)/PlugIns/ClipmapSceneManager/include -I$(top_srcdir)/OgreMain/include

pkglib_PROGRAMS = Plugin_ClipmapSceneManager.so

Plugin_ClipmapSceneManager_so_SOURCES = \
						ClipmapSceneManager.cpp \
						ClipmapSceneManagerDll.cpp \
						ClipmapPatch.cpp \
						ClipmapPatchManager.cpp \
						GeometryReader.cpp \
						PlanetReader.cpp \
						CubemappedPlanetReader.cpp \
						SeperateCubemappedPlanetReader.cpp \
						VertexBuffer.cpp \
						ClipmapRegion.cpp

Plugin_ClipmapSceneManager_so_LDFLAGS = $(SHARED_FLAGS) -L$(top_srcdir)/OgreMain/src
Plugin_ClipmapSceneManager_so_LDADD = -lOgreMain
